<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.data.MoreSleepActivity">

    <include
        android:id="@+id/more_sleep_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="@dimen/dp_8">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/dp_8"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <include
                    android:id="@+id/il_more_sleep_pet_head"
                    layout="@layout/layout_head_image_view"
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_more_sleep_pet_name"
                    style="@style/my_TextView_style_v2"
                    android:layout_width="0dp"
                    android:layout_marginStart="@dimen/dp_6"
                    android:layout_weight="1"
                    android:gravity="start"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="@dimen/textSize12"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_sleep_select_calendar_show"
                    style="@style/my_TextView_style_v2"
                    android:drawableEnd="@drawable/selector_calendar_icon_pressed2"
                    android:drawablePadding="@dimen/dp_12"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <com.abbidot.tracker.widget.calender.HorizontalCalenderViewV2
                android:id="@+id/sleep_data_horizontal_calender_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/active_history_data_bar"
                android:layout_marginTop="@dimen/dp_8"
                app:zhc_day_selected_text_color="@color/select_color"
                app:zhc_day_unselected_text_color="@color/white"
                app:zhc_press_shape_selector="@color/transparent"
                app:zhc_week_text_color="@color/line_color1" />


            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8">

                <com.abbidot.tracker.widget.RingChartView
                    android:id="@+id/more_sleep_ring_view"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_160"
                    android:layout_marginVertical="@dimen/dp_12"
                    app:show_percent_text="false" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:gravity="center"
                    android:orientation="vertical">

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:text="@string/txt_resting_time_uppercase"
                        android:textColor="@color/line_color1"
                        android:textSize="@dimen/textSize12"
                        app:typeface="@string/roboto_regular_font" />

                    <com.abbidot.tracker.widget.TypefaceTextView
                        android:id="@+id/tv_more_sleep_time_sum"
                        style="@style/my_TextView_style_v2"
                        android:text="0h 0m"
                        android:textColor="@color/white"
                        android:textStyle="bold" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </RelativeLayout>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@drawable/shape32_black_color_bg"
                android:orientation="vertical"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_last_7days"
                    android:textColor="@color/white"
                    android:textStyle="bold"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.HorizontalBarChartView
                    android:id="@+id/last_7day_sleep_chart_view"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_200"
                    android:layout_marginTop="@dimen/dp_8"
                    app:bar_axis_text_color="@color/block_color2"
                    app:bar_max_value_color="@color/select_color"
                    app:bar_value_bg_color="@color/blue_color5"
                    app:bar_value_color="@color/green_color3" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_8"
                android:background="@drawable/shape32_black_color_bg"
                android:orientation="vertical"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_last_30days"
                    android:textColor="@color/white"
                    android:textStyle="bold"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.LineChartView
                    android:id="@+id/last_30day_sleep_line_chart_view"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_200"
                    android:layout_marginTop="@dimen/dp_8"
                    app:line_axis_dashed_color="@color/blue_color7"
                    app:line_chart_color="@color/select_color2"
                    app:line_gradient_end_color="@color/btn_yellow_color1"
                    app:line_gradient_start_color="@color/data_black_color" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_8"
                android:background="@drawable/shape8_black_bg"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_12"
                android:paddingVertical="@dimen/dp_8">

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:drawableStart="@drawable/icon_white_time"
                    android:drawablePadding="@dimen/dp_6"
                    android:text="@string/txt_time_avg"
                    android:textColor="@color/line_color1"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_total_sleep_time_hour"
                    style="@style/my_TextView_style_v2"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:gravity="end"
                    android:text="0"
                    android:textColor="@color/white"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_total_sleep_time_hour_title"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginEnd="@dimen/dp_6"
                    android:text="@string/txt_hrs"
                    android:textColor="@color/line_color1"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_total_sleep_time_min"
                    style="@style/my_TextView_style_v2"
                    android:gravity="end"
                    android:text="0"
                    android:textColor="@color/white"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_min"
                    android:textColor="@color/line_color1"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>
